StartupEvents.registry('block', event => {
  event.create('unassembled_redstone_engineering')
  .displayName('Unassembled Redstone Engineering Block')
  .hardness(1.0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(true) // Requires a tool or it won't drop (see tags below)
  .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe

 event.create('unassembled_light_engineering')
 .displayName('Unassembled Light Engineering Block')  
 .hardness(1.0) // Set hardness (affects mining time)
 .resistance(1.0) // Set resistance (to explosions, etc)
 .requiresTool(true) // Requires a tool or it won't drop (see tags below)
 .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe

  event.create('unassembled_heavy_engineering')
  .displayName('Unassembled Heavy Engineering Block')  
  .hardness(1.0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(true) // Requires a tool or it won't drop (see tags below)
  .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe

  event.create('graphite_block')
  .displayName('HOP Graphite Block')  
  .hardness(1.0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(true) // Requires a tool or it won't drop (see tags below)
  .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
  
  event.create('oily_stone')
  .displayName('Oily Stone')  
  .fullBlock(false)
  .box(6, 0, 6, 11, 2, 11)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('fossil')
  .displayName('Small Fossil')  
  .fullBlock(false)
  .box(5, 0, 5, 11, 3, 11)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('chalk_fossil')
  .displayName('Small Chalk Fossil')  
  .fullBlock(false)
  .box(4, 0, 4, 12, 4, 12)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('chert_fossil')
  .displayName('Small Chert Fossil')  
  .fullBlock(false)
  .box(4, 0, 4, 12, 4, 12)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('claystone_fossil')
  .displayName('Small Claystone Fossil')  
  .fullBlock(false)
  .box(4, 0, 4, 12, 4, 12)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('conglomerate_fossil')
  .displayName('Small Conglomerate Fossil')  
  .fullBlock(false)
  .box(4, 0, 4, 12, 4, 12)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('dolomite_fossil')
  .displayName('Small Dolomite Fossil')  
  .fullBlock(false)
  .box(4, 0, 4, 12, 4, 12)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('limestone_fossil')
  .displayName('Small Limestone Fossil')  
  .fullBlock(false)
  .box(4, 0, 4, 12, 4, 12)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)
  
  event.create('shale_fossil')
  .displayName('Small Shale Fossil')  
  .fullBlock(false)
  .box(4, 0, 4, 12, 4, 12)
  .waterlogged()
  .hardness(0) // Set hardness (affects mining time)
  .resistance(1.0) // Set resistance (to explosions, etc)
  .requiresTool(false) // Requires a tool or it won't drop (see tags below)

})